Skip to main content

Initializing controls in Javascript

You'll find examples for how to initialize a controls with the Mobiscroll plain Javascript API

Written by Zsombor Deak

You can use the Mobiscroll plain JS API everywhere where Javascript runs. No need to load jQuery or any other framework just for Mobiscroll.

Make sure to have Mobiscroll installed and loaded in your project. See examples (HTML & JS snippets) that you can grab and try locally.

Calendar

HTML

<input id="calendar" placeholder="Please Select...">

JS

mobiscroll.calendar('#calendar');

Color

HTML

<input id="color" placeholder="Please Select...">

JS

mobiscroll.color('#color');

Date & Time

HTML

<input id="datetime" placeholder="Please Select...">

JS

mobiscroll.datetime('#datetime');

Event Calendar

HTML

<input id="eventcalendar" placeholder="Please Select...">

JS

mobiscroll.eventcalendar('#eventcalendar', {
    data: [{
        start: new Date(2016, 1, 1),
        end: new Date(2016, 1, 2),
        text: 'Conference',
        color: 'red'
    }, {
        d: '12/25',
        text: 'Christmas'
    }]
});

Forms

HTML

<div id="myform" mbsc-enhance>
    <label>
        Username
        <input name="username">
    </label>
    <label>
        Password
        <input name="password" type="password">
    </label>
    <button type="submit">Sign In</button>
</div>

JS

mobiscroll.settings = {
    theme: 'mobiscroll'
};

Image

HTML

<ul id="image" style="display:none">
    <li data-val="Share" data-icon="share">
        <p>Share</p>
    </li>
    <li data-val="Delete" data-icon="remove">
        <p>Delete</p>
    </li>
</ul>

JS

mobiscroll.image('#image', { 
    enhance: true
});

Listview

HTML

<ul id="list">
    <li>Apples</li>
    <li>Cakes</li>
    <li>Bottles of Juice</li>
</ul>

JS

mobiscroll.listview('#list');

Measurement

HTML

<input id="temperature" placeholder="Please Select..." />

JS

mobiscroll.temperature('#temperature');

Menustrip

HTML

<ul id="menustrip">
    <li data-icon="connection">Wifi</li>
    <li data-icon="location">Location</li>
    <li data-selected="true" data-icon="volume-medium">Sound</li>
</ul>

JS

mobiscroll.menustrip('#menustrip');

Number

HTML

<input id="number" placeholder="Please Select...">

JS

mobiscroll.number('#number');

Numpad

HTML

<input id="numpad" placeholder="Please Select...">

JS

mobiscroll.numpad('#numpad');

Range

HTML

<input id="range" placeholder="Please Select...">

JS

mobiscroll.range('#range');

Rating

HTML

<input id="rating" placeholder="Please Select...">

JS

mobiscroll.rating('#rating');

Scroller

HTML

<input id="scroller" placeholder="Please Select...">

JS

mobiscroll.scroller('#scroller', { 
    showLabel: true,
    wheels: [
        [{
            label: 'First wheel',
            data: ['0', '1', '2', '3', '4', '5', '6', '7']
        }, {
            label: 'Second wheel',
            data: [{
                value: 0,
                display: 'a'
            }, {
                value: 1,
                display: 'b'
            }, {
                value: 2,
                display: 'c'
            }, {
                value: 3,
                display: 'd'
            }]
        }]
    ]
});

Select

HTML

<select name="City" id="select">
    <option value="1">Berlin</option>
    <option value="2">London</option>
    <option value="3">New York</option>
    <option value="4">Paris</option>
</select>

JS

mobiscroll.select('#select');

Timer

HTML

<input id="timer" placeholder="Please Select...">

JS

mobiscroll.timer('#timer');

Timespan

HTML

<input id="timespan" placeholder="Please Select...">

JS

mobiscroll.timespan('#timespan');

Treelist

HTML

<ul id="list">
    <li>America
        <ul>
            <li>Mexico</li>
            <li>Brasil</li>
        </ul>
    </li>
    <li>Europe
        <ul>
            <li>Germany</li>
            <li>France</li>
            <li>Italy</li>
        </ul>
    </li>
    <li>Asia
        <ul>
            <li>China</li>
        </ul>
    </li>
</ul>

JS

mobiscroll.treelist('#treelist');

Widget

HTML

<div id="widget" style="display: none;">
    <h3 class="md-text-center">Hi</h3>
    <p class="md-text-center">Are you feeling good today?</p>
</div>

<button id="show">How are you feeling?</button>

JS

var instance = mobiscroll.widget('#widget');

document
    .getElementById('show')
    .addEventListener('click', function () {
        instance.show();
    }, false);

What's next?

Did this answer your question?

Skip to main content

Initializing controls in Angular

You'll find examples for how to initialize controls with the Mobiscroll Angular API

Written by Gabi Nagy

You can use the Mobiscroll Angular API in your Angular 2, Angular 4  and Ionic 2, Ionic 3 apps. We have put together a list of examples on how to use the controls in an Ionic app.

Make sure to have Mobiscroll installed and loaded in your project. See examples (HTML & TypeScript snippets) that you can grab and try locally.

Calendar

HTML

<input id="calendar" [(ngModel)]="calendar" mbsc-calendar placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    calendar: Date;
}

Color

HTML

<input id="color" [(ngModel)]="color" mbsc-color placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    color: string;
}

Date & Time

HTML

<input id="datetime" [(ngModel)]="datetime" mbsc-datetime placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    datetime: Date;
}

Event Calendar

HTML

<input mbsc-eventcalendar [mbsc-data]="events" placeholder="Please select..."></input>

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    events: any = [{
        start: new Date(2016, 1, 1),
        end: new Date(2016, 1, 2),
        text: 'Conference',
        color: 'red'
    }, {
        d: '12/25',
        text: 'Christmas'
    }]
}

Forms

HTML

<mbsc-form [options]="formSettings">
    <mbsc-input name="username">Username</mbsc-input>
    <mbsc-input name="password" type="password">Password</mbsc-input>
    <mbsc-button type="submit">Sign In</mbsc-button>
</mbsc-form>

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    formSettings = {
        theme: 'mobiscroll'
    };
}

Image

HTML

<ul [(mbsc-image)]="image" [mbsc-options]="imageSettings">
    <li data-val="Share" data-icon="share">
        <p>Share</p>
    </li>
    <li data-val="Delete" data-icon="remove">
        <p>Delete</p>
    </li>
</ul>

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    image: string;
    imageSettings: any = {
        enhance: true
    };
}

Listview

HTML

<mbsc-listview>
    <mbsc-listview-item *ngFor="let item of data">{{item.text}}</mbsc-listview-item>
</mbsc-listview>

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    data = [
{ text: 'Apples' },
{ text: 'Cakes' },
{ text: 'Bottles of Juice' }
    ];
}

Measurement

HTML

<input id="measurement" [(ngModel)]="measurement" mbsc-measurement placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    measurement: string;
}

Menustrip

HTML

<mbsc-menustrip>
<mbsc-menustrip-item *ngFor="let item of menustripItems" [(selected)]="item.selected" [icon]="item.icon">{{item.text}}</mbsc-menustrip-item>
</mbsc-menustrip>

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    menustripItems = [{
        selected: false,
        icon: 'connection',
        text: 'Wi-Fi'
    }, {
        selected: false,
        icon: 'location',
        text: 'Location'
    }, {
        selected: true,
        icon: 'volume-medium',
        text: 'Sound'
    }];
}

Number

HTML

<input id="number" [(ngModel)]="number" mbsc-number placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    number: number;
}

Numpad

HTML

<input id="numpad" [(ngModel)]="numpad" mbsc-numpad placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    numpad: number;
}

Range

HTML

<input id="range" [(ngModel)]="range" mbsc-range placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    range: Array <Date>;
}

Rating

HTML

<input id="rating" [(ngModel)]="rating" mbsc-rating placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    rating: number;
}

Scroller

HTML

<input id="scroller" [(ngModel)]="scroller" mbsc-scroller placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
scrollerSettings = {
showLabel: true,
wheels: [
 [{
label: 'First wheel',
data: ['0', '1', '2', '3', '4', '5', '6', '7']
 }, {
label: 'Second wheel',
data: [{
 value: 0,
 display: 'a'
}, {
 value: 1,
 display: 'b'
}, {
 value: 2,
 display: 'c'
}, {
 value: 3,
 display: 'd'
}]
 }]
]
};
}

Select

HTML

<select [(ngModel)]="select" mbsc-select>
    <option value="1">Berlin</option>
    <option value="2">London</option>
    <option value="3">New York</option>
    <option value="4">Paris</option>
</select>

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    select: Array<string>;
}

Timer

HTML

<input id="timer" [(ngModel)]="timer" mbsc-timer placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    timer: number;
}

Timespan

HTML

<input id="timespan" [(ngModel)]="timespan" mbsc-timespan placeholder="Please select..." />

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    timespan: number;
}

Treelist

HTML

<ul mbsc-treelist [(ngModel)]="treelist" [mbsc-options]="listSettings">
    <li>America
        <ul>
   <li>Mexico</li>
   <li>Brasil</li>
</ul>
    </li>
    <li>Europe
<ul>
   <li>Germany</li>
   <li>France</li>
   <li>Italy</li>
</ul>
</li>
    <li>Asia
<ul>
   <li>China</li>
</ul>
    </li>
</ul>

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {
    treelist: string;
    listSettings: any = {
        placeholder: 'Please Select ...'
    }
}

Widget

HTML

<mbsc-widget [options]="widgetSettings" #mbscWidget="mobiscroll">
    <div class="md-dialog">
        <h3 class="md-text-center">Hi</h3>
        <p class="md-text-center">How are you feeling today?</p>
    </div>
</mbsc-widget>

<button (click)="mbscWidget.instance.show()">Show Widget</button>

TypeScript

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'demo-app',
  templateUrl: './app.component.html',
  moduleId: module.id
})
export class AppComponent {}

What's next?

Did this answer your question?

Skip to main content

Initializing controls in React

You'll find examples for how to initialize a controls with the Mobiscroll React API

Written by Zsombor Deak

You can use the Mobiscroll React API in your React projects and JSX files.

Make sure to have Mobiscroll installed and loaded in your project. See examples (HTML & JSX snippets) that you can grab and try locally.

Calendar

HTML

<div id="content"></div>

JSX

var CalendarDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Calendar
                    ref="calendar"
                    placeholder="Please Select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <CalendarDemo />,
    document.getElementById("content")
);

Color

HTML

<div id="content"></div>

JSX

var ColorDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Color
                    ref="color"
                    placeholder="Please Select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <ColorDemo />,
    document.getElementById("content")
);

Date & Time

HTML

<div id="content"></div>

JSX

var DatetimeDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Datetime
                    ref="datetime"
                    placeholder="Please Select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <DatetimeDemo />,
    document.getElementById("content")
);

Event Calendar

HTML

<div id="content"></div>

JSX

var EventcalendarDemo = React.createClass({
    getInitialState: function() {
        return {
            data: [{
                start: new Date(2016, 1, 1),
                end: new Date(2016, 1, 2),
                text: "Conference",
                color: "red"
            }, {
                d: "12/25",
                text: "Christmas"
            }]
        };
    },
    render: function() {
        return (
            <div>
                <mobiscroll.Eventcalendar
                    data={this.state.data}
                    placeholder="Please select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <EventcalendarDemo />,
    document.getElementById("content")
);

Forms

HTML

<div id="content"></div>

JSX

var FormsDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Form theme="mobiscroll">
<label>
Username
<input name="username" />
</label>
<label>
Password
<input name="password" type="password" />
</label>
<button type="submit">Sign In</button>
                </mobiscroll.Form>
            </div>
        );
    }    
});

ReactDOM.render(
    <FormsDemo />,
    document.getElementById("content")
);

Image

HTML

<div id="content"></div>

JSX

var ImageDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Image enhance={true}>
                    <li data-val="Share" data-icon="share">
                        <p>Share</p>
                    </li>
                    <li data-val="Delete" data-icon="remove">
                        <p>Delete</p>
                    </li>
                </mobiscroll.Image>
            </div>
        );
    }    
});

ReactDOM.render(
    <ImageDemo />,
    document.getElementById("content")
);

Listview

HTML

<div id="content"></div>

JSX

var MyListItem = React.createClass({
    render: function() {
        return <li>{this.props.item.name}</li>
    }
});
var ListviewDemo = React.createClass({
    getInitialState: function() {
        return {
            items: [{
                id: 1,
                name: 'Apples'
            }, {
                id: 2,
                name: 'Cakes'
            }, {
                id: 3,
                name: 'Bottles of Juice'
            }]
        };
    },
    render: function() {
        return <div>
            <mobiscroll.Listview itemType={MyListItem} data={this.state.items} />
        </div>;
    }
});

ReactDOM.render(
    <ListviewDemo />,
    document.getElementById('content')
);

Measurement

HTML

<div id="content"></div>

JSX

var TemperatureDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.temperature
                    ref="temperature"
                    placeholder="Please Select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <TemperatureDemo />,
    document.getElementById("content")
);

Menustrip

HTML

<div id="content"></div>

JSX

var MenustripDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Menustrip>
                    <li onClick={function() { alert("Menu 1 Clicked!"); }}>Menu 1</li>
                    <li onClick={function() { alert("Menu 2 Clicked!"); }}>Menu 2</li>
                </mobiscroll.Menustrip>
            </div>
        );
    }    
});

ReactDOM.render(
    <MenustripDemo />,
    document.getElementById("content")
);

Number

HTML

<div id="content"></div>

JSX

var NumberDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Number
                    ref="number"
                    placeholder="Please Select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <NumberDemo />,
    document.getElementById("content")
);

Numpad

HTML

<div id="content"></div>

JSX

var NumpadDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Numpad
                    ref="numpad"
                    placeholder="Please Select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <NumpadDemo />,
    document.getElementById("content")
);

Range

HTML

<div id="content"></div>

JSX

var RangeDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Range
                    ref="range"
                    placeholder="Please Select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <RangeDemo />,
    document.getElementById("content")
);

Rating

HTML

<div id="content"></div>

JSX

var RatingDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Rating
                    ref="rating"
                    placeholder="Please Select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <RatingDemo />,
    document.getElementById("content")
);

Scroller

HTML

<div id="content"></div>

JSX

var ScrollerDemo = React.createClass({
    render: function() {
        var scrollerWheels = [
                [{
                    circular: false,
                    data: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25]
                }, {
                    circular: false,
                    data: ["-", "1/4", "1/2", "3/4"]
                }, {
                    circular: false,
                    data: units
                }]
            ];
        return <mobiscroll.Scroller wheels={scrollerWheels} onSet={this.valSelected} className="my-scroller"/>;
    }    
});

ReactDOM.render(
    <ScrollerDemo />,
    document.getElementById("content")
);

Select

HTML

<div id="content"></div>

JSX

var SelectDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Select>
                    <option value="1">Berlin</option>
                    <option value="2">London</option>
                    <option value="3">New York</option>
                    <option value="4">Paris</option>
                </mobiscroll.Select>
            </div>
        );
    }    
});

ReactDOM.render(
    <SelectDemo />,
    document.getElementById("content")
);

Timer

HTML

<div id="content"></div>

JSX

var TimerDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Timer
                    ref="timer"
                    placeholder="Please Select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <TimerDemo />,
    document.getElementById("content")
);

Timespan

HTML

<div id="content"></div>

JSX

var TimespanDemo = React.createClass({
    render: function() {
        return (
            <div>
                <mobiscroll.Timespan
                    ref="timespan"
                    placeholder="Please Select..."
                />
            </div>
        );
    }    
});

ReactDOM.render(
    <TimespanDemo />,
    document.getElementById("content")
);

Treelist

HTML

<div id="content"></div>

JSX

var TreelistDemo = React.createClass({
    render: function() {
        return <div>
            <mobiscroll.Treelist>
                <li>America
                    <ul>
                        <li>Mexico</li>
                        <li>Brasil</li>
                    </ul>
                </li>
                <li>Europe
                    <ul>
                        <li>Germany</li>
                        <li>France</li>
                        <li>Italy</li>
                    </ul>
                </li>
                <li>Asia
                    <ul>
                        <li>China</li>
                    </ul>
                </li>
            </mobiscroll.Treelist>
        </div>;
        );
    }    
});

ReactDOM.render(
    <TreelistDemo />,
    document.getElementById("content")
);

Widget

HTML

<div id="content"></div>

JSX

var WidgetDemo = React.createClass({
    showWidget: function() {
        this.refs.myWidget.show();
    },
    render: function() {
        return <div>
            <button onClick={this.showWidget}>Show my widget</button>
            <mobiscroll.Widget ref="myWidget">
                <h3 className="md-text-center">Hi</h3>
                <p className="md-text-center">Are you feeling good today?</p>
            </mobiscroll.Widget>
        </div>;
        );
    }    
});

ReactDOM.render(
    <WidgetDemo />,
    document.getElementById("content")
);

What's next?

Did this answer your question?